uniform sampler2D myTexture;
varying vec2 vTexCoord;

vec4 grayBackground = vec4( 239.0/255, 239.0/255, 239.0/255, 1.0 ); 

vec4 color_normal1 = vec4( 60.0/255, 	56.0/255, 	8.0/255, 1.0 ); 
vec4 color_normal2 = vec4( 141.0/255, 	112.0/255, 	52.0/255, 1.0 ); 
vec4 color_normal3 = vec4( 172.0/255, 	145.0/255, 	86.0/255, 1.0 ); 
vec4 color_normal4 = vec4( 206.0/255, 	192.0/255, 	116.0/255, 1.0 ); 

vec4 color1 = vec4( 0.0/255, 40.0/255, 68.0/255, 1.0 ); 
vec4 color2 = vec4( 0.0/255, 114.0/255, 194.0/255, 1.0 ); 
vec4 color3 = vec4( 3.0/255, 151.0/255, 255.0/255, 1.0 ); 
vec4 color4 = vec4( 67.0/255, 178.0/255, 255.0/255, 1.0 ); 

void main (void) 
{  
   vec4 color = texture2D(myTexture, vTexCoord); 

  if (gl_FragCoord.x > 50){
    
   if (color ==   grayBackground) 
	discard;  //remove grey from textures
	
	//change font to forum blue - go!
	if (color ==   color_normal1) 
	color = color1;  
	
	if (color ==   color_normal2) 
	color = color2;   
	
	if (color ==   color_normal3) 
	color = color3;   
  
	if (color ==   color_normal4) 
	color = color4;   
   
   gl_FragColor = color;
} 
}


//normal font color (from dark to light)
//60, 56, 8
//141, 112, 52
//172, 145, 86
//206, 192, 116

//blue forum color - overlay color is 0,153,255
//color1 = 0,40,68 
//color2 = 0,114,194
//color3 = 3,151,255
//color4 = 67, 178, 255
